Summary:	The Light Display Manager (GTK+ greeter)
Name:		lightdm-gtk-greeter
Version:	1.3.1
Release:	%mkrel 6
License:	GPLv3+
Group:		Graphical desktop/Other
Source0:	https://launchpad.net/%{name}/1.4/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		lightdm-gtk-greeter-1.3.0-mga-customizations.patch
# From our bugzilla:
# https://bugs.mageia.org/show_bug.cgi?id=8413
Patch1:		lightdm-gtk-greeter-1.3.1-add-alpha-channel.patch
# From Fedora:
Patch10:	lightdm-gtk-greeter-1.3.1-highcontrast.patch
# Add GTK2 support
Patch20:	lightdm-gtk-greeter-1.3.1-gtk2-support.patch
# Needed after GTK2 patch
Patch21:	lightdm-gtk-greeter-1.3.1-linking.patch

URL:		http://www.freedesktop.org/wiki/Software/LightDM
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(liblightdm-gobject-1)
BuildRequires:	pkgconfig(x11)
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gettext-devel
BuildRequires:	autoconf
BuildRequires:	automake
# For autoreconf
BuildRequires:	gnome-common
Provides:	lightdm-greeter
Requires:	lightdm
# For mga logo:
Requires:	desktop-common-data
# For icons in top right corner
Requires:	gnome-icon-theme
# For icons in HighContrast mode
Requires:	gnome-themes-standard

Requires(post):		update-alternatives
Requires(postun):	update-alternatives

%description
A LightDM greeter that uses the GTK+ toolkit.

#-------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--with-gtk2
%make

%install
%makeinstall_std

%find_lang %{name}

%post
%{_sbindir}/update-alternatives \
	--install %{_datadir}/xgreeters/lightdm-greeter.desktop \
	lightdm-greeter \
	%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop \
	20

%postun
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
	--remove lightdm-greeter \
	%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop
fi

%files -f %{name}.lang
%doc NEWS
%config(noreplace) %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf
%{_sbindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop


%changelog

* Mon Apr 01 2013 wally <wally> 1.3.1-6.mga3
+ Revision: 407051
- add patches to build against GTK2 and do it (should fix mga#9106)

* Sat Jan 12 2013 umeabot <umeabot> 1.3.1-5.mga3
+ Revision: 358775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 wally <wally> 1.3.1-4.mga3
+ Revision: 333816
- add patch from Fedora to fix missing HighContrast theme/icons
- require gnome-themes-standard for HighContrast theme/icons

* Thu Dec 20 2012 wally <wally> 1.3.1-3.mga3
+ Revision: 333428
- add patch from Derek Jennings to fix .jpg background loading (mga#8413)

* Sat Nov 03 2012 wally <wally> 1.3.1-2.mga3
+ Revision: 313312
- use icons from gnome-icon-theme by default

* Sat Sep 01 2012 wally <wally> 1.3.1-1.mga3
+ Revision: 286985
- new version 1.3.1

* Sat Aug 25 2012 wally <wally> 1.3.0-3.mga3
+ Revision: 283938
- add NEWS as doc file

* Sat Aug 25 2012 wally <wally> 1.3.0-2.mga3
+ Revision: 283929
- require desktop-common-data for mga logo

* Sat Aug 25 2012 wally <wally> 1.3.0-1.mga3
+ Revision: 283924
- new version 1.3.0
- use mga logo in greeter window
- rediff and rename P0

* Sat Jul 28 2012 wally <wally> 1.1.6-4.mga3
+ Revision: 275421
- provide lightdm-greeter with alternatives system
- clean .spec

* Sat Jun 23 2012 wally <wally> 1.1.6-3.mga3
+ Revision: 262779
- fix mga background patch

* Sat Jun 09 2012 fwang <fwang> 1.1.6-2.mga3
+ Revision: 258408
- fix typo

* Sat Jun 09 2012 fwang <fwang> 1.1.6-1.mga3
+ Revision: 258403
- use mga background
- update file list
- br lightdm
- imported package lightdm-gtk-greeter

